php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #58194 php_pdo_oci.dll can not load
Submitted: 2008-05-13 12:27 UTC Modified: -
From: jroze at gipsis dot fr Assigned:
Status: Open Package: PDO_OCI (PECL)
PHP Version: 5.2.5 OS: WIN XP SP2
Private report: No CVE-ID:
Have you experienced this issue?
Rate the importance of this bug to you:

 [2008-05-13 12:27 UTC] jroze at gipsis dot fr
Description:
------------
Hello there,

I have a problem loading php_pdo.dll library using the last stable 5.2.6 (same with 5.2.4) version of PHP.

Here is a snippet of my php.ini file :

extension_dir = "C:\php\ext\"
extension=php_oci8.dll
extension=php_pdo.dll
extension=php_pdo_oci.dll

And here is the error i get :

PHP Warning:  PHP Startup: Unable to load dynamic library
'C:\\php\\ext\\php_pdo.dll' - the specified procedure could not be found.\r\n in Unknown on line 0

Note that it works  if i get the php_pdo.dll file from PHP 5.2.0 provided with EasyPHP 2.0b !!!

Oracle is installed and other extension like php_oci8 works.

I already read comments on bug #6225, there are saying that is must work with the lastest version of php but it doesn't.

Thanks for your help





Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2008-12-28 23:54 UTC] zhangdan1122 at gmail dot com
i have the same problem
but i saw it in apache error log
said "Unable to load dynamic library"
wait for your answer

thank u very much
 
PHP Copyright © 2001-2014 The PHP Group
All rights reserved.
Last updated: Thu Apr 17 06:02:13 2014 UTC